=== modified file 'bzrlib/branch.py'
--- bzrlib/branch.py	2005-09-30 05:15:03 +0000
+++ bzrlib/branch.py	2005-09-30 07:38:09 +0000
@@ -687,12 +687,10 @@
     def append_revision(self, *revision_ids):
         for revision_id in revision_ids:
             mutter("add {%s} to revision-history" % revision_id)
-
-        rev_history = self.revision_history()
-        rev_history.extend(revision_ids)
-
         self.lock_write()
         try:
+            rev_history = self.revision_history()
+            rev_history.extend(revision_ids)
             self.put_controlfile('revision-history', '\n'.join(rev_history))
         finally:
             self.unlock()

